package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsOnlineOlDgiinfoA;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_dgiinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlDgiinfoAQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    @ApiModelProperty(value = "企业主键ID")
    private String psId;
    @ApiModelProperty(value = "mn编码")
    private String dgiMn;
    @ApiModelProperty(value = "数采仪密码")
    private String dgiPwd;
    @ApiModelProperty(value = "ip地址")
    private String ip;
    @ApiModelProperty(value = "端口")
    private String port;
    @ApiModelProperty(value = "sim卡号")
    private String simNo;
    @ApiModelProperty(value = "领用人")
    private String getter;
    @ApiModelProperty(value = "领用单位")
    private String getUnit;
    @ApiModelProperty(value = "领用日期")
    private String getDate;
    @ApiModelProperty(value = "启用日期")
    private String useDate;
    @ApiModelProperty(value = "间隔时间")
    private String intervalTime;
    @ApiModelProperty(value = "生产厂家设备品牌")
    private String manufactor;
    @ApiModelProperty(value = "设备出厂编号")
    private String equipmentFactoryNumber;
    @ApiModelProperty(value = "设备型号")
    private String equipmentTypeCode;
    @ApiModelProperty(value = "联系人")
    private String contact;
    @ApiModelProperty(value = "联系人手机")
    private String contactPhone;
    @ApiModelProperty(value = "检查状态")
    private String checkState;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "入库时间")
    private String createTime;
    @ApiModelProperty(value = "禁用时间")
    private String deleteTime;
    @ApiModelProperty(value = "禁用后再次启用时间")
    private String enableTime;
    @ApiModelProperty(value = "是否启用，1-启用 0-禁用")
    private String enable;
    @ApiModelProperty(value = "是否具备防作假功能，1-是 0-否")
    private Long preventFaking;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsOnlineOlDgiinfoA> createLambdaQueryWrapper(OdsOnlineOlDgiinfoAQuery query) {
        QueryWrapper<OdsOnlineOlDgiinfoA> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsId()), "ps_id", query.getPsId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDgiMn()), "dgi_mn", query.getDgiMn());
        wrapper.eq(ObjectUtil.isNotNull(query.getDgiPwd()), "dgi_pwd", query.getDgiPwd());
        wrapper.eq(ObjectUtil.isNotNull(query.getIp()), "ip", query.getIp());
        wrapper.eq(ObjectUtil.isNotNull(query.getPort()), "port", query.getPort());
        wrapper.eq(ObjectUtil.isNotNull(query.getSimNo()), "sim_no", query.getSimNo());
        wrapper.eq(ObjectUtil.isNotNull(query.getGetter()), "getter", query.getGetter());
        wrapper.eq(ObjectUtil.isNotNull(query.getGetUnit()), "get_unit", query.getGetUnit());
        wrapper.eq(ObjectUtil.isNotNull(query.getGetDate()), "get_date", query.getGetDate());
        wrapper.eq(ObjectUtil.isNotNull(query.getUseDate()), "use_date", query.getUseDate());
        wrapper.eq(ObjectUtil.isNotNull(query.getIntervalTime()), "interval_time", query.getIntervalTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getManufactor()), "manufactor", query.getManufactor());
        wrapper.eq(ObjectUtil.isNotNull(query.getEquipmentFactoryNumber()), "equipment_factory_number", query.getEquipmentFactoryNumber());
        wrapper.eq(ObjectUtil.isNotNull(query.getEquipmentTypeCode()), "equipment_type_code", query.getEquipmentTypeCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getContact()), "contact", query.getContact());
        wrapper.eq(ObjectUtil.isNotNull(query.getContactPhone()), "contact_phone", query.getContactPhone());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckState()), "check_state", query.getCheckState());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeleteTime()), "delete_time", query.getDeleteTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnableTime()), "enable_time", query.getEnableTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnable()), "enable", query.getEnable());
        wrapper.eq(ObjectUtil.isNotNull(query.getPreventFaking()), "prevent_faking", query.getPreventFaking());
        return wrapper;
        }
}
